This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 140217 - hal doesn't mount vfat partition
hal doesn't mount vfat partition
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-21 01:26 EST by jonas
Modified: 2013-03-05 22:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-09 12:35:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
attached my fstab (1.18 KB, text/plain)
2004-11-24 22:36 EST, jonas
no flags Details
attached full lshal output for the partition (1.48 KB, text/plain)
2004-11-24 22:37 EST, jonas
no flags Details

  None (edit)
Description jonas 2004-11-21 01:26:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
While hal perfectly mounts my ext3 partitions and external USB drives,
it doesn't want to mount my vfat partition. If I put this line:
/dev/hda2               /media/share            vfat   
pamconsole,exec,noauto,managed 0 0
in my fstab then I can mount it nicely. But after the next reboot the
line is removed. This partiton used to be hidden, but I've fixed that
now. Could that be a factor? If I do an lshal I see this for the vfat
partition:
  volume.mount_point = ''  (string)
  volume.policy.desired_mount_point = 'idedisk'  (string)
  volume.policy.mount_filesystem = 'vfat'  (string)
  volume.policy.should_mount = true  (bool)

Also, does hal pull the volume label for vfat partitions like it does
for ext3 partitions? When I add the line referenced above and I can
mount the partition it still doesn't use the volume label in the name.
Thanks!

Version-Release number of selected component (if applicable):
0.4.0-10

How reproducible:
Always

Steps to Reproduce:
1. Boot
2. Go to Computer and look for partition
3. 
    

Actual Results:  Nothing there to mount.

Expected Results:  There should have been an icon for this partition.

Additional info:
Comment 1 jonas 2004-11-24 22:36:12 EST
Created attachment 107443 [details]
attached my fstab
Comment 2 jonas 2004-11-24 22:37:14 EST
Created attachment 107444 [details]
attached full lshal output for the partition
Comment 3 David Zeuthen 2004-12-09 12:35:55 EST
Sorry, this is intentional, see this message

http://www.redhat.com/archives/fedora-test-list/2004-October/msg02649.html

for details. This may get fixed for FC4.

Note You need to log in before you can comment on or make changes to this bug.